// Copper Alloys API code example
// API Documentation: https://apidocs.copper.org
// Documentation for this example: https://apidocs.copper.org/#/Multiple_Alloy_Calls/get_alloys__alloyID___alloyID2_1
// javascript call example for /alloys/{alloyID},{alloyID} or /alloys.xhtml/{alloyID},{alloyID}
// see documentation for required and optional query parameters
// this is only an example and may not be production-ready

var token =""; // global variable that should have already been stored and updated earlier for subsequent API calls, see auth-token.js
var url = "https://api.copper.org/CDA-API/alloys/C11030,C12210?token=" + token;

var client = new XMLHttpRequest();
client.open("GET", url, true);
client.setRequestHeader("Content-Type", "text/html");

client.onreadystatechange = function(){
  if (client.readyState == XMLHttpRequest.DONE) {
    if (this.readyState == 4 && client.status == 200) {
      document.body.innerHTML = client.responseText; // TODO: change to document.getElementById("some_DOM_element_id"); //use your own DOM element
    }
    else {
      if(console) {console.log("The API request did not succeed!\nThe response status was: " + client.status + " " + client.statusText + ".");}
    }
  }
}

client.send();
