// Copper Alloys API code example
// API Documentation: https://apidocs.copper.org
// Documentation for this example: https://apidocs.copper.org/#/Authentication/get_auth_token
// token javascript call example
// this is only an example and may not be production-ready

var username = ""; // TODO: add your CDA-provided API username
var password = ""; // TODO: add your CDA-provided API password
var token =""; // global variable to store the token later for subsequent API calls
var url = "https://api.copper.org/CDA-API/auth/token?login=" + username + "&password=" + password;

var client = new XMLHttpRequest();
client.open("GET", url, true);
client.setRequestHeader("Content-Type", "text/plain");

client.onreadystatechange = function(){
  if (client.readyState == XMLHttpRequest.DONE) {
    if (client.status == 200) {
      $token = client.responseText;
      if(console) {console.log("The API request succeeded!\nThe response representation was: " + client.responseText);}
    }
    else {
      if(console) {console.log("The API request did not succeed!\nThe response status was: " + client.status + " " + client.statusText + ".\nThis is your token for subsequent calls");}
    }
  }
}

client.send();
